%add_tcl_req_skip zlib # not yet

Name: tkabber
Version: 0.10.0
Release: alt1

%add_tcl_lib_path %_datadir/%name/jabberlib-tclxml

Summary: Tkabber is an open source Jabber Client.
License: GPL
Group: Networking/Instant messaging
Url: http://tkabber.jabber.ru/ru/

BuildArch: noarch
BuildRequires: cpio tcl
Conflicts: tcl-tksystray < 0.2

Source0: %name-%version.tar.bz2

%description
Tkabber provides a Tcl/Tk interface to the Jabber instant messaging and presence service.
Wtiting in Tcl/Tk, used TclLib and BWidget, working on Linux, FreeBSD, NetBSD, Solaris and Windows 98/2000/XP.

%prep
%setup -qc
sed -i 's,@version@,%version-%release,' tkabber.tcl

%install
mkdir -p %buildroot%_bindir %buildroot%_datadir/%name
cat > %buildroot%_bindir/%name << EOF
#!/bin/sh
#\\
exec wish "\$0" -name %name "\$@"
set ::env(TKABBER_SITE_PLUGINS) %_datadir/%name-plugins
source %_datadir/%name/%name.tcl
EOF
chmod +x %buildroot%_bindir/%name

(cd altlinux && find . -type f |cpio -pmd %buildroot%_datadir)
find . -type f -not '(' -name \*..\* \
    -o -name tkabber.spec \
    -o -name ckabber.tcl \
    -o -regex \./\\..\+ \
    -o -regex \./altlinux/.\+ \
    -o -regex \./\[A-Z\]\[^/\.\]\+ \
    -o -regex \./doc/.\+ \
    -o -regex \./ifaceck/.\+ \
    -o -regex \./jabberlib-tclxml/tclxml/.\+ \
    -o -regex \./contrib/.\+ \
    -o -regex \./examples/.\+ ')' | cpio -pmd %buildroot%_datadir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc INSTALL ChangeLog COPYING README doc/* contrib examples 
%_bindir/%name
%_datadir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_desktopdir/%name.desktop

%changelog
* Thu Apr 12 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10.0-alt1
- 0.10.0 released

* Wed Mar  7 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10.0-alt0.2
- updated to svn rev.1023, near 0.10.0beta2 release

* Sat Feb 24 2007 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10.0-alt0.1
- updated to svn rev.968, near 0.10.0beta1 release

* Sat Dec 23 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.9.9-alt4
- updated to svn rev.833

* Sun Nov 12 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.9.9-alt3
- updated to svn rev.792
- patches rebased & applied:
  + tkabber-0.9.9-alt-ext-xml.patch
  + tkabber-0.9.9-alt-md5clash.patch
  + tkabber-0.9.9-alt-findreq.patch
  + tkabber-0.9.9-alt-systray.patch

* Thu Jul 13 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.9.9-alt2
- fixed build on x86_64

* Sun Jul  2 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.9.9-alt1
- 0.9.9 released

* Thu Aug 25 2005 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.8-alt1
- initial release

* Wed Jul  6 2005 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.7-alt3
- setting "ssj::options(one-passphrase) 1"

* Fri Aug  6 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.7-alt2
- URL view in $BROWSER fix
- conrib and examles moved in %_defaultdocdir

* Thu Jul 29 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.7-alt1
- Updated support for file transfer (JEP-0095, JEP-0096, JEP-0047, JEP-0065)
- Support for colored nicks and messages in conference
- Better multiple logins support
- Updated support for xml:lang
- Support for IDNA (RFC3490)
- Many fixes and enhancements
				     
* Wed Feb 25 2004 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt3
- url_handler support

* Thu Oct 23 2003 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt2
- BROWSER variable setting

* Thu Oct 23 2003 Sergey Kalinin  <banzaj@altlinux.ru> 0.9.6beta-alt1
- Multiple logins support
- History now splitted by month
- Animated emoteicons support
- Many user interface improvements
- More XMPP support
- More translations
- Bugfixes 

